## egoboo 2.7.7

=== Makefile ===
# Top level Makefile for Egoboo 2.x
# For use in MSYS + MinGW

all:
	make -C enet
	make -C game
	cp game/egoboo2x.exe .

clean:
	make -C enet clean
	make -C game clean

=== game/Makefile ===
# Basic Makefile for Egoboo 2.x under MSYS + MinGW

TARGET=egoboo2x.exe
SOURCES=camera.c\
	char.c\
	Client.c\
	Clock.c\
	common-file.c\
	configfile.c\
	egoboostrutil.c\
	enchant.c\
	Font.c\
	game.c\
	gltexture.c\
	graphic.c\
	graphicfan.c\
	graphicmad.c\
	graphicprt.c\
	id_normals.c\
	input.c\
	Log.c\
	MainLoop.c\
	mathstuff.c\
	Md2.c\
	menu.c\
	module.c\
	network.c\
	particle.c\
	passage.c\
	script.c\
	Server.c\
	sound.c\
	sys_win32.c\
	Task.c\
	Ticker.c\
	Timer.c\
	Ui.c\
	win-file.c

OBJECTS=$(SOURCES:%.c=%.o)

CFLAGS=`sdl-config --cflags` -I../enet/include
LDFLAGS=`sdl-config --libs` -L../enet -lopengl32 -lglu32 -lenet -lSDL_ttf -lws2_32 -lshlwapi -lshfolder -lshell32

$(TARGET): $(OBJECTS)
	$(CC) -o $(TARGET) $(OBJECTS) $(CFLAGS) $(LDFLAGS)

clean:
	-rm -f $(TARGET) $(OBJECTS)

=== debian/changelog ===
egoboo (1:2.7.7-1ubuntu3) precise; urgency=low

  * Fix FTBFS harder:
    - Fix syntax error in previous patch.
    - Add patch for format string issues.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Dec 2011 22:51:55 -0500

egoboo (1:2.7.7-1ubuntu2) precise; urgency=low

  * Add patch from Fedora (Hans de Goede) for big-endian arches. Fixes
    FTBFS. (Closes: #592826)
  * binutils-gold patch added in previous upload. (Closes: #554320)

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 26 Dec 2011 19:46:52 -0500

egoboo (1:2.7.7-1ubuntu1) natty; urgency=low

  * debian/patches/01_fix_ftbfs_binutils-gold.patch: Fix FTBFS binutils-gold 
    with ld --add-needed by adding -lm in Makefile. (LP: #715735)
  * debian/egoboo.desktop:
    - Removing encoding field.
    - Change Categories Apllications;Game;AdventureGame; -> Game;AdventureGame;

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Sat, 12 Feb 2011 22:27:58 +0700

egoboo (1:2.7.7-1) unstable; urgency=low

  * New Upstream Release (Closes: #394240, #469859, #506981)
  * Build-Depends: libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-
    dev, libsdl-mixer1.2-dev
  * Switch to debhelper 7

 -- Mark Purcell <msp@debian.org>  Sun, 25 Apr 2010 10:51:37 +1000

egoboo (2.22-31) unstable; urgency=low

  * New maintainer. (Closes: #416953: ITA: egoboo -- 3D dungeon crawling
    adventure in the spirit of NetHack - Debian Bug report logs)

 -- Mark Purcell <msp@debian.org>  Fri, 25 May 2007 22:00:46 +0100

egoboo (2.22-30) unstable; urgency=low

  * QA upload.
  * Enable joypad B.  Thanks to Ben Armstrong for the patch.
    Closes: #398291.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Tue, 17 Apr 2007 21:26:34 +0200

egoboo (2.22-29) unstable; urgency=low

  * Retiring: set debian qa in maintainer field

 -- Julien Lemoine <speedblue@debian.org>  Sat, 31 Mar 2007 19:42:00 +0200

egoboo (2.22-28) unstable; urgency=low

  * Applied patch from ubuntu : 
    added a .desktop file
    added alternative on libgl1-mesa-dev

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Aug 2006 18:12:50 +0200

egoboo (2.22-27) unstable; urgency=low

  * Changed menu section to Games/Adventure instead of Games/Arcade
    (Closes: #377881)

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Aug 2006 11:26:25 +0200

egoboo (2.22-26) unstable; urgency=low

  * Added project home page in package description (Closes: #348276)

 -- Julien Lemoine <speedblue@debian.org>  Sun, 19 Feb 2006 17:24:44 +0100

egoboo (2.22-25) unstable; urgency=low

  * Fix x.org transition bug (xlibs-dev removal)
    (Closes: #346614)

 -- Julien Lemoine <speedblue@debian.org>  Mon,  9 Jan 2006 08:05:24 +0100

egoboo (2.22-24) unstable; urgency=low

  * Applied patch from Aurelien Jano to fix build failure 
    (Closes: #332734)

 -- Julien Lemoine <speedblue@debian.org>  Thu,  3 Nov 2005 08:16:02 +0100

egoboo (2.22-23) unstable; urgency=low

  * Fix build failure (Closes: #332734)

 -- Julien Lemoine <speedblue@debian.org>  Wed,  2 Nov 2005 19:08:18 +0100

egoboo (2.22-22) unstable; urgency=low

  * Fix build failure with new xlibmesa-gl-dev
    (Closes: #332701)

 -- Julien Lemoine <speedblue@debian.org>  Sat,  8 Oct 2005 10:16:18 +0200

egoboo (2.22-21) unstable; urgency=low

  * Fixed typo in description (Closes: #270137)

 -- Julien Lemoine <speedblue@debian.org>  Mon, 13 Sep 2004 23:29:07 +0200

egoboo (2.22-20) unstable; urgency=low

  * Added menu icon from Mark Purcell <msp@debian.org> (Closes: #198398)
  * Upgraded Standards-Version to 3.5.10

 -- Julien Lemoine <speedblue@debian.org>  Fri, 20 Jun 2003 19:12:46 +0200

egoboo (2.22-19) unstable; urgency=low

  * Removed link on -lGLU (unneeded)
  * Added -mieee on alpha (Closes: #186920)
  * Upgraded Standards-Version to 3.5.9
  * Fixed a lot of warnings with -Wall enabled
  
 -- Julien Lemoine <speedblue@debian.org>  Thu, 10 Apr 2003 00:54:11 +0200

egoboo (2.22-18) unstable; urgency=low

  * Added two function to convert int and float between little and
    big endian architectures (Closes: #167400)

 -- Julien Lemoine <speedblue@debian.org>  Sat,  4 Jan 2003 18:58:20 +0100

egoboo (2.22-17) unstable; urgency=low

  * Reinabled SendMessageNear function (Closes: #162553)
  * Fixed buffer overflow with joystick (Closes: #138211)
    Thanks to Kalle Olavi Niemitalo <kon@iki.fi>

 -- Julien Lemoine <speedblue@debian.org>  Sun,  6 Oct 2002 23:48:45 +0200

egoboo (2.22-16) unstable; urgency=low

  * Removed duplicated conffiles (Closes: #162069)
  * Added read of conffiles in ~/.egoboo before /etc (Closes: 162050)
  * Applied patch from Kalle Olavi Niemitalo <kon@iki.fi> to fix character
    loading problem
  
 -- Julien Lemoine <speedblue@debian.org>  Thu, 26 Sep 2002 01:29:50 +0200

egoboo (2.22-15) unstable; urgency=low

  * Replaced fclose by pclose in DirClose() (Closes: #161766)
    Thanks to Kalle Olavi Niemitalo <kon@iki.fi>
  * Fixed character loading problem
    Thanks to Kalle Olavi Niemitalo <kon@iki.fi>

 -- Julien Lemoine <speedblue@debian.org>  Sun, 22 Sep 2002 05:53:39 +0200

egoboo (2.22-14) unstable; urgency=low

  * Reorder todirfullname and get_import_path() in game.c
    Thanks to Kalle Olavi Niemitalo <kon@iki.fi>

 -- Julien Lemoine <speedblue@debian.org>  Wed, 18 Sep 2002 03:16:17 +0200

egoboo (2.22-13) unstable; urgency=low

  * Experimental patch for backup characters in ~/.egoboo/players
    (Please give me some feedback) 
    (Closes: #159535)
  
 -- Julien Lemoine <speedblue@debian.org>  Fri, 13 Sep 2002 20:04:38 +0200

egoboo (2.22-12) unstable; urgency=low
  
  * Fixed segv when there is a audio/video soft in background
    (zapping for example) by adding a --without-sound or -w option
  * Updated to follow the last version of Debian Policy (3.5.7.0)

 -- Julien Lemoine <speedblue@debian.org>  Sat,  7 Sep 2002 18:33:16 +0200

egoboo (2.22-11) unstable; urgency=low

  * Fixed 'items go poof when taken out of pack' bug (Closes: #159018)
    replace ALERTIFTAKENOUT from 2147483647 to 2147483648


=== debian/control ===
Source: egoboo
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev
Standards-Version: 3.8.4
Homepage: http://egoboo.sourceforge.net

Package: egoboo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, egoboo-data (>> 1:2.7.7)
Description: 3D dungeon crawling adventure in the spirit of NetHack
 Egoboo is an open source project, using OpenGL and 
 SDL(Simple DirectMedia Layer) libraries. It is a 3d dungeon role 
 playing game in the spirit of NetHack. Nice colorful graphics, 
 and detailed models(using Quake2 modeling tools) make this game stand
 out in the gaming open-source community.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Add here any variable or target overrides you need.

override_dh_installchangelogs:
	dh_installchangelogs game/change.log

override_dh_auto_build:
	CXXFLAGS="-g -O2 -g -Wall -O2" CPPFLAGS="" LDFLAGS="" $(MAKE) -C game -f Makefile.unix

override_dh_auto_clean:
	$(MAKE) -C game -f Makefile.unix clean

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/egoboo/usr/games/
	cp game/egoboo.sh $(CURDIR)/debian/egoboo/usr/games/egoboo

=== debian/watch ===
version=3
opts="uversionmangle=s/^(\d)(\d+)/$1.$2/" \
	http://sf.net/egoboo/egoboo-source-(.*)\.tar\.gz

## egoboo 2.22

=== code/Makefile ===
OBJECTS=camera.o char.o enchant.o game.o graphic.o input.o menu.o module.o network.o particle.o passage.o script.o sound.o lin-file.o gltexture.o mathstuff.o graphicfan.o graphicmad.o graphicprt.o configfile.c
FLAGS=-D_LINUX -ffast-math -funroll-loops -O3 -g
LIBS=`sdl-config --libs` -lGL -lGLU
INCDIR=`sdl-config --cflags` -I/usr/X11/include
LIBDIR=-L/usr/X11R6/lib -L/usr/lib
CC=gcc

egoboo: $(OBJECTS)
	$(CC) $(OBJECTS) $(FLAGS) $(INCDIR) $(LIBDIR) $(LIBS) -o egoboo
graphicmad.o: graphicmad.c egoboo.h
	$(CC) graphicmad.c $(FLAGS) $(INCDIR) -c 
graphicprt.o: graphicprt.c egoboo.h
	$(CC) graphicprt.c $(FLAGS) $(INCDIR) -c 
graphicfan.o: graphicfan.c egoboo.h
	$(CC) graphicfan.c $(FLAGS) $(INCDIR) -c 
camera.o: camera.c egoboo.h
	$(CC) camera.c $(FLAGS) $(INCDIR) -c 
char.o: char.c egoboo.h
	$(CC) char.c $(FLAGS) $(INCDIR) -c 
enchant.o: enchant.c egoboo.h
	$(CC) enchant.c $(FLAGS) $(INCDIR) -c 
game.o: game.c egoboo.h
	$(CC) game.c $(FLAGS) $(INCDIR) -c 
graphic.o: graphic.c egoboo.h
	$(CC) graphic.c $(FLAGS) $(INCDIR) -c 
input.o: input.c egoboo.h
	$(CC) input.c $(FLAGS) $(INCDIR) -c 
mathstuff.o: mathstuff.c egoboo.h
	$(CC) mathstuff.c $(FLAGS) $(INCDIR) -c 
menu.o: menu.c egoboo.h
	$(CC) menu.c $(FLAGS) $(INCDIR) -c 
module.o: module.c egoboo.h
	$(CC) module.c $(FLAGS) $(INCDIR) -c 
network.o: network.c egoboo.h
	$(CC) network.c $(FLAGS) $(INCDIR) -c 
particle.o: particle.c egoboo.h
	$(CC) particle.c $(FLAGS) $(INCDIR) -c 
passage.o: passage.c egoboo.h
	$(CC) passage.c $(FLAGS) $(INCDIR) -c 
script.o: script.c egoboo.h
	$(CC) script.c $(FLAGS) $(INCDIR) -c 
sound.o: sound.c egoboo.h
	$(CC) sound.c $(FLAGS) $(INCDIR) -c 
lin-file.o: lin-file.c egoboo.h
	$(CC) lin-file.c $(FLAGS) $(INCDIR) -c 
gltexture.o: gltexture.c egoboo.h
	$(CC) gltexture.c $(FLAGS) $(INCDIR) -c 
clean:
	rm -f egoboo; rm -f *.o
